function setPsychoModuleGUI(this, ~)
set(this.HContainer,'Units','normalized');
bkgd_colour = [0 84 201]./255;
bttn_colour = [1 1 1]./255;
fnt_colour = [254 244 234]./255;
I = imread(strcat('Background.jpg'));
%% background panel
uipanel('parent',this.HContainer, ...
    'Units', 'normalized', ...
    'Position',[0, 0, 1, 1],...
    'BackgroundColor',bkgd_colour...
    );
imshow(I,'border','tight','InitialMagnification',200);
imshow(I,'border','tight','InitialMagnification',200);
%% sound devices list
uicontrol(this.HContainer, ...
    'Tag','txFeedBack', ...
    'Style','text', ...
    'FontName','newake demo',...
    'FontSize',60,...
    'HorizontalAlignment', 'center', ...
    'String','INITIALIZING', ...
    'Units', 'normalized', ...
    'UserData', this, ...
    'Position',[0, 0.5, 1, 0.1],...
    'ForegroundColor',fnt_colour,...
    'BackgroundColor',bkgd_colour...
    );

%% choice buttons
uicontrol(this.HContainer, ...
    'Tag','pbA', ...
    'Visible','off',... 
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Left', ...
    'Units', 'normalized', ...
    'Position',[0.1, 0.2, 0.3, 0.1], ...
    'Callback', @callbackSelection, ...
        'BackgroundColor',fnt_colour...
    );
uicontrol(this.HContainer, ...
    'Tag','pbB', ...
    'Visible','off',... 
    'Style','pushbutton', ...
    'FontSize',36,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','Right', ...
    'Units', 'normalized', ...
    'Position',[0.6, 0.2, 0.3, 0.1], ...
    'Callback', @callbackSelection, ...
    'BackgroundColor',bttn_colour...
    );
uicontrol(this.HContainer, ...
    'Tag','startRun', ...
    'Visible','on',... 
    'Style','pushbutton', ...
    'FontName','newake demo',...
    'FontSize',60,...
    'HorizontalAlignment', 'center', ...
    'UserData', this, ...
    'String','START', ...
    'Units', 'normalized', ...
    'Position',[0, 0.4, 1, 0.1], ...
    'Callback', @callbackDoFirstRun, ...
    'ForegroundColor',bkgd_colour,...
    'BackgroundColor',fnt_colour...
    );
% brColor = [1,0.4,0.6];
% set(0,'defaultUicontrolBackgroundColor',brColor);
% hbc = findobj(this.HContainer, '-property','BackgroundColor','-and','-not','Style','pushbutton');
% set(hbc,'BackgroundColor',brColor);